@use '@angular/material' as mat;

@use './styles/helpers/density';
@use './styles/helpers/spacing';

html {
  @include mat.theme(
      (
        color: (
          theme-type: dark,
          primary: mat.$cyan-palette,
          tertiary: mat.$orange-palette,
        ),
        typography: Roboto,
        density: 0,
      )
  );

  .light-theme {
    @include mat.theme(
        (
          color: (
            theme-type: light,
            primary: mat.$azure-palette,
            tertiary: mat.$blue-palette,
          ),
          typography: Roboto,
          density: 0,
        )
    );
  }
}

@include density.density-classes();
@include spacing.spacing-classes();

html,
body {
  height: 100%;
}

body {
  margin: 0;
  font-family: Roboto, 'Helvetica Neue', sans-serif;

  background: var(--mat-sys-surface);
  color: var(--mat-sys-on-surface);
}
